Subject: Re: bug#37013: LyX can not find refstyle.sty

From: "Xavier Montillet" <[email-masked]>
Date: Thu, 22 Aug 2019 16:23:18 +0000

Hi Ricardo,

LyX seems to build and run fine without this texlive-union. The texlive stuff is only required when one wants to compile a lyx document to a pdf. I'd therefore expect it to not be a dependency (but maybe a recommended package).

And removing this texlive-union fixes my problem: Now, if texlive is installed in the profile, it finds it and all its components.

(Note: I use "./pre-inst-env guix environment --pure --container --share=$XAUTHORITY --share=/tmp/.X11-unix --ad-hoc lyx bash coreutils evince -- env XAUTHORITY=$XAUTHORITY DISPLAY=$DISPLAY lyx2.3" to run lyx so that it reconfigures at startup)

Xavier

On Mon, Aug 12, 2019, at 9:30 PM, Ricardo Wurmus wrote:
> 
> Hi Xavier,
> 
> thanks for the report!
> 
> > Since it loaded inputenc, the package just before refstyle, from
> > /gnu/store/wy5865kh09qak63rpq3v47wnxv2gj1y0-texlive-union-49435/share/texmf-dist/tex/latex/base/inputenc.sty,
> > and /gnu/store/wy5865kh09qak63rpq3v47wnxv2gj1y0-texlive-union-49435/ does not contain refstyle, I
> > think that the problem is that LyX uses the pdflatex from this
> > textlive-union instead of the one from the full texlive.
> 
> The problem is that Lyx is configured to use the texlive-union that was
> provided during the build.  It should prefer an optional TeX Live
> installation that the user provides.  Perhaps we can make it
> (optionally?) look up the TeX Live tools on PATH before falling back to
> its texlive-union.
> 
> > LyX has a reconfigure option (Tools -> Reconfigure) but it does not
> > seem to help.
> 
> Investigating this might be a good starting point.
> 
> --
> Ricardo
> 
>